cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/return_vendor_authorizations/rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.return_vendor_authorizations.get_return_vendor_authorization(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnVendorAuthorizations.getReturnVendorAuthorization(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnVendorAuthorizations->getReturnVendorAuthorization(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.return_vendor_authorizations.return_vendor_authorizations_dto.ReturnVendorAuthorizationsDto.ReturnVendorAuthorizationView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ReturnVendorAuthorizationView> response = client.returnVendorAuthorizations().getReturnVendorAuthorization(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnVendorAuthorizations.GetReturnVendorAuthorizationAsync("rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnVendorAuthorizations
.getReturnVendorAuthorization('rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnVendorAuthorizations().GetReturnVendorAuthorization(context.Background(), "rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"return_vendor_authorization": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_count": 123,
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"note": "<string>",
"object": "<string>",
"purchase_order": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"return_status": "<string>",
"rva_date": "<string>",
"status": "<string>",
"version": 123,
"lines": [
"<unknown>"
],
"receive_rvas": [
"<unknown>"
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Return vendor authorizations
Retrieve a return vendor authorization
Returns one return vendor authorization with its lines under return_vendor_authorization.
GET
/
return_vendor_authorizations
/
{rva_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/return_vendor_authorizations/rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.return_vendor_authorizations.get_return_vendor_authorization(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.returnVendorAuthorizations.getReturnVendorAuthorization(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->returnVendorAuthorizations->getReturnVendorAuthorization(
'rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.return_vendor_authorizations.return_vendor_authorizations_dto.ReturnVendorAuthorizationsDto.ReturnVendorAuthorizationView;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ReturnVendorAuthorizationView> response = client.returnVendorAuthorizations().getReturnVendorAuthorization(
"rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.ReturnVendorAuthorizations.GetReturnVendorAuthorizationAsync("rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.returnVendorAuthorizations
.getReturnVendorAuthorization('rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d');
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.ReturnVendorAuthorizations().GetReturnVendorAuthorization(context.Background(), "rva_9a8b7c6d5e4f4a3b2c1d0e9f8a7b6c5d", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"return_vendor_authorization": {
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"href": "<string>",
"id": "<string>",
"item_count": 123,
"last_updated_by": "<unknown>",
"last_updated_on": "<unknown>",
"note": "<string>",
"object": "<string>",
"purchase_order": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"return_status": "<string>",
"rva_date": "<string>",
"status": "<string>",
"version": 123,
"lines": [
"<unknown>"
],
"receive_rvas": [
"<unknown>"
]
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the return vendor authorization with its supplier, purchase order, status,
lines and receive_rvas under return_vendor_authorization. Address it by its rva_ id or its code; both return the same record.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The return vendor authorization's rva_ id, or its code.
Response
The return vendor authorization, under return_vendor_authorization.
Show child attributes
Show child attributes